Bug 1310190 - Passenger error when installing capsule setting "--puppet false".
Passenger error when installing capsule setting "--puppet false".
Status: ON_QA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule (Show other bugs)
6.1.6
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
Katello QA List
:
: 1411608 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 12:27 EST by Michael J. Ayers
Modified: 2017-08-15 16:31 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J. Ayers 2016-02-19 12:27:20 EST
Description of problem:
Passenger error when installing capsule setting "--puppet false".

Version-Release number of selected component (if applicable): 6.1.6


How reproducible:
Always

Steps to Reproduce:
1. Run capsule installer with '--puppet false' option.


Actual results:
Installing             Debug: Executing '/sbin/chkconfig httpd'           [99%]  Could not start Service[httpd]: Execution of '/sbin/service httpd start' returned 1: Starting httpd: [FAILED]
Installing             Error: Could not start Service[httpd]: Execution o [99%]  /Stage[main]/Apache::Service/Service[httpd]/ensure: change from stopped to running failed: Could not start Service[httpd]: Execution of '/sbin/service httpd start' returned 1: Starting httpd: [FAILED]
Installing             Debug: /Stage[main]/Apache::Service/Service[httpd] [99%] Installing             Notice: /Stage[main]/Capsule::Dispatch_router/Qpid [99%] Installing             Debug: Executing '/sbin/chkconfig goferd'          [99%] Installing             Debug: Executing '/sbin/service goferd restart'    [99%] Installing             Notice: /Stage[main]/Pulp::Child::Service/Service[ [99%] Installing             Debug: Stored state in 0.07 seconds                [99%] Installing             Done                                               [100%]Installing             Done                                               [100%] []
  Something went wrong! Check the log for ERROR-level output
  The full log is at /var/log/capsule-installer/capsule-installer.log
# service httpd restart
Stopping httpd:                                            [FAILED]
Starting httpd: Syntax error on line 41 of /etc/httpd/conf.d/05-capsule.conf:
Invalid command 'PassengerEnabled', perhaps misspelled or defined by a module not included in the server configuration
                                                           [FAILED]
# yum install mod_passenger
 
service httpd restart
Stopping httpd:                                            [FAILED]
Starting httpd:                                            [  OK  ]

Expected results:
No error.  Httpd should come up normally.

Additional info:
Could this be related to http://projects.theforeman.org/issues/11197
Comment 1 Stuart Auchterlonie 2016-05-19 06:03:47 EDT
I've just hit this on 6.2 Beta.
Comment 3 Bryan Kearney 2016-06-20 10:13:06 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/11197 has been closed
Comment 5 Brad Buckingham 2017-01-10 13:22:57 EST
*** Bug 1411608 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.